MagicMirror² v2.14.0 is available! For more information about this release, check out this topic.

MMM-voice



  • ok, got it… voice detection is sensitive…



  • @strawberry-3-141 OK i am trying to install this module and i have read all forum posts on this thread.
    I did have AlexaPi installed and working previously and as i can tell from other users this installation ruins it but i could live with that. However MMM-voice keeps giving error 1 on its error log even after deleting node modules, pocketsphinx and sphinxbase and reinstalling again. The icon on MM goes briefly Ready Select Mode than back to Error how do i fix that like i said i have read everything all installations go perfectly all 1 through 5 out of 5. what am i doing wrong??
    The other question is… I also want to use 2 microphones ideally and both apps… i was using AlexaPi flawlessly with one of the mics and i wanted to use a second mic for MMM-voice since it gives you the option to select which one you want to use do you think that is doable? is it meant for that??
    What can i do to use both AlexaPi and one of the MMM voice modules so i can control the display and show and hide certain modules both on the same Rpi.
    I tried MMM-MirrorMirrorOnTheWall already but i am stuck half way with no one to help me through the end and it is an extremely difficult module to fully install.
    Anyhow any help will be greatly appreciated
    Denis


  • Project Sponsor Module Developer

    @richland007 can you please enable temporarily the more detailed debug log with debug: true?



  • @strawberry-3-141 Thank you so much for replying back to me 🙂
    Did what you asked and on the MM itself it says Error Undefined but on the debug log everything sems to go fine until the very last sentence that says this:

    “Error opening audio device plughw:1 for capture: Connection refused
    FATAL: “continuous.c”, line 245: Failed to open audio device”

    When i run “cat /proc/asound/cards” i get this
    “0 [ALSA ]: bcm2835_alsa - bcm2835 ALSA
    bcm2835 ALSA
    1 [Set ]: USB-Audio - USB Headphone Set
    USB Headphone Set at usb-3f980000.usb-1.5, full speed”

    And in the config.js file obviously i have selected the only mic i have right now number 1 USB headphone set and i know it is working just fine.

    Let me know how what does that tell you
    and again thank you
    Denis


  • Project Sponsor Module Developer

    @richland007 can you check the following to see if another program can access the mic https://scribles.net/voice-recording-on-raspberry-pi/

    Is there already another Programm running in the background which is accessing the mic?



  • @strawberry-3-141 Hello there,
    I tested the mics following the steps on the above site and my microphone works just fine no errors the audio is good coming from the speakers and clear i do get a warning that does not affect anything that says:
    “Warning: rate is not accurate (requested = 44100Hz, got = 48000Hz)
    please, try the plug plugin”
    but it does not affect the audio or the command actually when i try another mic it does not give me that error at all however the audio is not nearly as good.
    So to recap the mic works it records a test file and gives no errors.

    D


  • Project Sponsor Module Developer

    @richland007 it looks like it is a problem between alsa and pulseaudio https://sourceforge.net/p/cmusphinx/discussion/help/thread/c39732a2/



  • @strawberry-3-141 I know i have ALSA on my system but i don’t recall ever having to install Pulseaudio on my system. Is it required by this module? pulse audio that is …can i install it??
    Denis


  • Project Sponsor Module Developer

    @richland007 I’m sorry I can’t really tell you something other than what I find googling myself, I never experienced sth similar other than couldn’t open device resource is busy.



  • @strawberry-3-141 Well i tried to install PulseAudio and use that instead of straight ALSA and configured it right according to the settings i found , i also removed and installed again MMM-voice but still the same error persists.
    I tired every which way to tweak it as much as i could to make it work, for what i know cause i am no expert, but still no luck.
    What can i do other than a fresh Rpi install that i dont want to do cause i have so many modules installed already??
    D


Log in to reply